<?xml version="1.0"?>

<!--DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Object Mapping DTD Version 1.0//EN"
                         "http://Castor.exolab.org/mapping.dtd"-->

<mapping>

  <include href="mappings/yi.iu.region.Region_map.xml"/>

  <class name="yi.iu.processor.color.reg.DS_RgbColorRegions">

    <map-to xml="rgb-color-regions"/>

    <field name="imageWidth" type="integer">
      <bind-xml node="attribute"/>
    </field>

    <field name="imageHeight" type="integer">
      <bind-xml node="attribute"/>
    </field>

    <field name="scale" type="double">
      <bind-xml node="attribute"/>
    </field>

    <field name="regions" type="yi.iu.processor.color.reg.RgbColorRegion" collection="vector">
      <bind-xml name="color-region" node="element"/>
    </field>

  </class>

  <class name="yi.iu.processor.color.reg.RgbColorRegion">

    <map-to xml="rgb-color-region"/>

    <field name="r" type="integer" direct="true">
      <bind-xml node="attribute"/>
    </field>

    <field name="g" type="integer" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="b" type="integer" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="region" type="yi.iu.region.Region">
    </field>

  </class>
  
</mapping>

